Skip to main content
PATCH
Rename a conversation

Authorizations

Authorization
string
header
required

Static, non-expiring API key: Authorization: Bearer <FOURMINDS_API_KEY>.

Path Parameters

conversation_id
string<uuid>
required

Query Parameters

title
string
required

The new title. An empty value leaves the title unchanged.

Response

Renamed.

id
string<uuid>
required
model_id
integer
required
title
string | null
required
message
string | null
required

Text of the most recent user message.

message_timestamp
string<date-time> | null
required

When that user message was sent.

created_at
string<date-time>
required
updated_at
string<date-time>
required
total_messages
integer
required

Number of messages in the conversation. Occasionally 1 higher than the number List messages in a conversation returns.

Required range: x >= 0